summaryrefslogtreecommitdiffstats
path: root/scripts/run_functional_tests
diff options
context:
space:
mode:
authorimarom <imarom@cisco.com>2016-03-23 11:55:07 +0200
committerimarom <imarom@cisco.com>2016-03-23 13:01:11 +0200
commit2bcbca455b063e3ef6f90e85a1fac4994a0e6a51 (patch)
tree7b7c22e4c1529dd9aeee4401caf504177515c1fc /scripts/run_functional_tests
parent89a2be8247936e2d3d8323c0e51a86c198a879a2 (diff)
python 3 - regression
Diffstat (limited to 'scripts/run_functional_tests')
-rwxr-xr-xscripts/run_functional_tests26
1 files changed, 25 insertions, 1 deletions
diff --git a/scripts/run_functional_tests b/scripts/run_functional_tests
index e3a5fa61..783d6346 100755
--- a/scripts/run_functional_tests
+++ b/scripts/run_functional_tests
@@ -2,5 +2,29 @@
source find_python.sh
cd automation/regression
-$PYTHON trex_unit_test.py --functional $@
+
+if [ -z "$PYTHON" ]; then
+ echo "*** $PYTHON - python version is too old, 2.7 at least is required"
+else
+ $PYTHON trex_unit_test.py --functional $@
+ if [ $? -eq 0 ]; then
+ printf "\n$PYTHON test succeeded\n\n"
+ else
+ printf "\n*** $PYTHON test failed\n\n"
+ exit -1
+ fi
+fi
+
+if [ -z "$PYTHON3" ]; then
+ echo "*** $PYTHON3 - python3 version required is 3.4 - skipping python3 test"
+else
+ $PYTHON3 trex_unit_test.py --functional $@
+ if [ $? -eq 0 ]; then
+ printf "\n$PYTHON3 test succeeded\n\n"
+ else
+ printf "\n*** $PYTHON3 test failed\n\n"
+ exit -1
+ fi
+
+fi